# LinearMPC

Modelica library for model-based predictive controllers with linear process models.

## Library description

`LinearMPC` is a Modelica library for model-based predictive controllers with linear process models, which offers the use of several model representations in the controller for predicting the future plant outputs.

As well, the controller is capable of constraints and disturbance handling. A controller block can be included easily into any Modelica model and is parameterized intuitively.

The library avoids the coupling of Modelica to other software products.Thus, a contribution is made towards an integrated control system design in Modelica.

Read More:
> S. Hoelemann and D. Abel,
> Modelica Predictive Control -- An MPC Library for Modelica,
> at - Automatisierungstechnik, 2009, Vol. 57, pp. 187-194.
> [http://dx.doi.org/10.1524/auto.2009.0766]

## Current release

Download [LinearMPC v1.0 (2013-03-19)](../../archive/v1.0.zip)

#### Release notes

* [Version 1.0 (2013-03-19)](../../archive/v1.0.zip):
 * Updated version, uses Modelica 3.2
   (No functional changes)

* [Initial version (2009-04-01)](../../archive/vInitial.zip)
 * Initial version, uses Modelica 2.2

## License

This Modelica package is free software and the use is completely at your own risk;
it can be redistributed and/or modified under the terms of the *Modelica License 2* with the addition
that the original author, Sebastian H&ouml;lemann, asks to cite his publication:
> S. Hoelemann and D. Abel,
> Modelica Predictive Control -- An MPC Library for Modelica,
> at - Automatisierungstechnik, 2009, Vol. 57, pp. 187-194.
> [http://dx.doi.org/10.1524/auto.2009.0766]

## Development and contribution

You may report any issues with using the [Issues](../../issues) button.

Contributions in shape of [Pull Requests](../../pulls) are always welcome.
